package Chum::DB::Transfac;

use vars qw(@ISA @TRANSFAC_PARAMS %OK_FIELD $AUTOLOAD);

use strict;
use Bio::Root::Root;
use Chum::DB::MatrixDB;
use Data::Dumper;
require TFBS::DB::LocalTRANSFAC;

@ISA = qw( Chum::DB::MatrixDB );

BEGIN {
	@TRANSFAC_PARAMS = qw(transfac_dir _transfac_db);
	foreach my $attr (@TRANSFAC_PARAMS)
		{ $OK_FIELD{$attr}++; }
}

sub new {
	my($class, @args) = @_;
	my $self = $class->SUPER::new(@args);
	while (@args) {
		my $attr = shift @args;
		my $value = shift @args;
		$self->$attr($value);
	}
	if (defined($self->{'transfac_dir'})) {
		$self->{'db'} = TFBS::DB::LocalTRANSFAC->connect(	-localdir => $self->{'transfac_dir'},
									-accept_conditions => 1);
	} else {
		$self->throw("Cound not connect to transfac, cause: transfac_dir not set");	
	}
	return $self;
}

sub AUTOLOAD {
    my $self = shift;
    my $attr = $AUTOLOAD;
    $attr =~ s/.*:://;

    $self->throw("Unallowed parameter: $attr !") unless $OK_FIELD{$attr};
    $self->{$attr} = shift if @_;
    return $self->{$attr};
}

