#!/usr/bin/perl

use Data::Dumper;
use TFBS::DB::JASPAR4;
use TFBS::MatrixSet;

my $sequence = @ARGV[0];

my $db = TFBS::DB::JASPAR4->connect("dbi:mysql:jaspar_4_02_09_04:db01",
					"ensembl",
					"ensembl");

my $pfm = $db->get_Matrix_by_name('SP1', 'PFM');
my $pwm = $pfm->to_PWM();
my $matrixset = TFBS::MatrixSet->new();
$matrixset->add_Matrix($pwm);
my $siteset = $matrixset->search_seq(	-seqstring => $sequence,
					-threshold => "50%");
my $siteset_iterator = $siteset->Iterator(-sort_by =>'score');
while (my $site = $siteset_iterator->next) {
	#print Dumper $site;
	print $site->score . "\t" . $site->primary_tag . "\t" . $site->source_tag . "\t" . $site->pattern->name . "\n";
}
