#!/usr/bin/perl

use strict;
use Chum::Utils::DistanceCalculator;
use Chum::Utils::RSNPAnalysisXMLFileReader;
use Data::Dumper;

###############################################LOAD INPUT PARAMETERS
my $rsnpa_xml_file;
for (my $i = 0; $i < @ARGV; $i++) {
    if ($ARGV[$i] =~ /-f/) {
        $rsnpa_xml_file = $ARGV[++$i];
    } else {
        print STDERR "\nInvalid parameter: " . $ARGV[$i] . "\n";
        exit(1);
    }
}
if (!defined($rsnpa_xml_file)) { die("ERROR: Input file not defined: -f\n"); }
unless (-e $rsnpa_xml_file) { die("ERROR: Input file does not exist $rsnpa_xml_file\n"); }

###############################################RUN SEQUENCE DISTANCE
my $rsnpa_obj = new Chum::Utils::RSNPAnalysisXMLFileReader(-file => $rsnpa_xml_file);
my $stack_object = $rsnpa_obj->get_sequence_stack_obj('hosa');
my $distance_calculator = new Chum::Utils::DistanceCalculator();
my $distance = $distance_calculator->calculate_distance($stack_object);
print "TREE DISTANCE: $distance\n";