#!/usr/bin/perl

use strict;
use Chum::Utils::RSNPAnalysisXMLFileReader;
use DBI;

##DOESN'T TAKE INTO ACCT SS.


#####################LOAD PARAMETERS
my $directory = undef;
for (my $i = 0; $i < @ARGV; $i++) {
    if ($ARGV[$i] =~ /-d/) {
        $directory = $ARGV[++$i];
    } else {
        print STDERR "\nInvalid parameter: " . $ARGV[$i] . "\n";
        exit(1);
    }
}
if (!defined($directory)) { die("ERROR: Input directory not defined: -d\n"); }
unless (-d $directory) { die("ERROR: Input directory does not exist $directory\n"); }

my $dbh = DBI->connect("DBI:mysql:host=db01.bcgsc.ca;database=cisred_2_profileThresholded",
		       "ensembl", "ensembl",
			{PrintError => 0, RaiseError => 1});
my $sth = $dbh->prepare("SELECT seqname, start, end FROM features");
$sth->execute or die "can't execute query: $sth->errstr";
my %features;
while (my @val = $sth->fetchrow_array()) {
    my $index = int($val[1] / 1000000);
    if (!defined($features{$val[0]}{$index})) {
	my @array = ();
	push @array, (	'start' => $val[1],
			'end' => $val[2]);
	$features{$val[0]}{$index} = \@array;
    } else {
	my @array = @{$features{$val[0]}{$index}};
	push @array, (	'start' => $val[1],
			'end' => $val[2]);
	$features{$val[0]}{$index} = \@array;
    }
}
$sth->finish();

my @DISTANCES = (100, 25, 10, 0);

my @files = glob($directory . "/*.snpa.xml");
foreach my $rsnpa_xml_file (@files) {
    my $rsnpa_obj = new Chum::Utils::RSNPAnalysisXMLFileReader(-file => $rsnpa_xml_file);
    my ($chromosome, $start, $end, $strand) = &getHG17Mapping($rsnpa_obj->{'id'});
    foreach my $distance (@DISTANCES) {
	my $modstart = $start - $distance;
	my $modend = $end + $distance;
	
	foreach my $snp
	
    }
}
exit(0);


####################GET HG17 MAPPING

sub getHG17Mapping() {
        my $id = shift;
        my $mapping_directory = "/home/smontgom/sNPeGEn/allstacks/mapped/hg17/";
        my $file = $mapping_directory . $id . ".hg17.mapped";
        unless (-e $file) { die("Cannot find mapping for $file\n"); }
        open(FILE, $file) || die("Cannot open mapping file $file\n");
        my $chromosome;
        my $start;
        my $end;
        my $strand;
        while (my $line = <FILE>) {
                chomp($line);
                if ($line =~ /([\S]+)[\s]+([0-9]+)[\s]+([0-9]+)[\s]+([\S]+)/g) {
                        $chromosome = $1;
                        $start = $2;
                        $end = $3;
                        $strand = $4;
                }
        }
        close(FILE);
        return $chromosome, $start, $end, $strand;
}

