#!/usr/bin/perl

use strict;

my $directory = undef;
for (my $i = 0; $i < @ARGV; $i++) {
	if ($ARGV[$i] =~ /-d/) {
		$directory = $ARGV[++$i];
	} else {
		print STDERR "ERROR: Invalid parameter: " . $ARGV[$i] . "\n";
		exit(1);
	}
}
if (!defined($directory)) { die "Directory is not defined\n"; }
unless (-d $directory) { die "Directory does not exist: $directory\n"; }

my @ids = ();
my @files = glob($directory . "/*");
foreach my $file (@files) {
	if ($file =~ /(OREG[0-9]{7})/) {
		push @ids, $1;
	}
}
foreach my $id (@ids) {
	print "ORegAnno:$id\n";
}
exit(0);