#!/usr/bin/perl

###SCRIPT GETS ALL THE REGULATORY POLYMORPHISMS FROM OREGANNO AND RETURNS OREGMAP COMMANDS
###TO MAP THEM TO THE GENOME

###FOR THIS SCRIPT TO WORK WE HAVE SET UP A BLAST DATABASE CALLED HG17.FA USING THE BLASTDB
###ENVIRONMENT VARIABLE AND BLAST2.2.6

use strict;
use Bio::Tools::GFF;
use Data::Dumper;
use SOAP::Lite;

#######################################################################################################
##GET ID FROM OREGANNO#################################################################################
#######################################################################################################
my $osa = SOAP::Lite
          -> uri('OregannoServerImpl')
          -> proxy('http://www.bcgsc.ca:8080/oregano/soap/');

my $response = $osa->searchRecords(
				SOAP::Data->name(field => SOAP::Data->type(string => "species")),
                SOAP::Data->name(query => SOAP::Data->type(string => "Homo sapiens")));

my @ids;
if ($response->fault) {
		die $response->faultstring;
} else {
      	my @results = @{$response->result};
		foreach my $result (@results) {
			push @ids, $result->{'record'}->{'stableId'};
		}
}

print STDERR "Found " . scalar(@ids) . " records for human...\n";

foreach my $id (@ids) {
	print "export LD_ASSUME_KERNEL=2.4.1;export PATH=/home/pubseq/BioSw/BLAST2/blast2.2.6/:\$PATH;export BLASTDB=/home/smontgom/databases/blast;perl58 /home/smontgom/sNPeGEn/scripts/oregMapUCSC.pl -i " . $id . " -g 1 > /home/smontgom/sNPeGEn/mappings/" . $id . ".mapping\n";
}