#!/usr/bin/perl -w
use strict;

use strict;
use Data::Dumper;
use SOAP::Lite;

my $osa = SOAP::Lite
          -> uri('OregannoServerImpl')
          -> proxy('http://www.bcgsc.ca:8080/oregano/soap/');

my $response = $osa->searchRecords( SOAP::Data->name(field => SOAP::Data->type(string => "stable_id")),
                                    SOAP::Data->name(query => SOAP::Data->type(string => "OREG0000314")));
if ($response->fault) {
    die $response->faultstring;
} else {
    my @results = @{$response->result};
    foreach my $result (@results) {   
        print $result->{'record'}->{'stableId'} . "\t";
        my $found = 0;
        my @variations = @{$result->{'record'}->{'variationSet'}->{'variation'}};
        print Dumper @variations;
    }
}