#!/usr/bin/perl -w
use strict;

use strict;
use SOAP::Lite;

my $osa = SOAP::Lite
          -> uri('OregannoServerImpl')
          -> proxy('http://www.oreganno.org/oregano/soap/');

my $response = $osa->searchRecords( SOAP::Data->name(field => SOAP::Data->type(string => "type")),
                                    SOAP::Data->name(query => SOAP::Data->type(string => "POLYMORPHISM")));
if ($response->fault) {
    die $response->faultstring;
} else {
    my @results = @{$response->result};
    foreach my $result (@results) {   
        print $result->{'record'}->{'stableId'} . "\t";
        my $found = 0;
        my @variations = @{$result->{'record'}->{'variationSet'}->{'variation'}};
        if (scalar(@variations) == 1) {
            my $variation = $variations[0];
            ##Load from dbSNP, if available
            if (defined($variation->{'regulatoryVariationCrossReferenceSet'})) {
                my @rvxrefs = @{$variation->{'regulatoryVariationCrossReferenceSet'}->{'regulatoryVariationCrossReference'}};
                if (scalar(@rvxrefs) == 1) {
                    my $rvxref = $rvxrefs[0];
                    if ($rvxref->{'source'} eq 'dbSNP') {
                        if (defined($rvxref->{'snpId'})) {
                            $found = 1;
                            print $rvxref->{'snpId'} . "\n";
                        }
                    }
                }
            }
        }
        if (!$found) {
            print "\n";   
        }
    }
}
