#!/usr/bin/perl

use strict;

my $file;
for (my $i = 0; $i < @ARGV; $i++) {
    if ($ARGV[$i] =~ /-f/) {
        $file = $ARGV[++$i];
    } else {
        print STDERR "\nInvalid parameter: " . $ARGV[$i] . "\n";
        exit(1);
    }
}
if (!defined($file)) { die("No input file defined"); }
unless (-e $file) { die("Input file does not exist"); }

open (FILE, $file) || die("Cannot open file");
my @pos_lines;
my @neu_lines;
while (my $line = <FILE>) {
	if ($line =~ /OREG[0-9]+/) {
		push @pos_lines, $line;
	} elsif ($line =~ /rs[0-9]+/) {
		push @neu_lines, $line;
	} else {
		print $line;
	}
}
close(FILE);

foreach my $line (@pos_lines) {
	print $line;
}

foreach my $line (@neu_lines) {
	print $line;
}

exit(0);